elksemu is not installed with bcc package

Bug #706635 reported by Niall Creech
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux86 (Ubuntu)
Undecided
Unassigned

Bug Description

elksemu is disabled for non i386 architectures. debian/rules implements this test using
ifeq ($(findstring i486-linux-gnu,$(DEB_BUILD_GNU_TYPE)),i486-linux-gnu)

This works for debian but for ubuntu this fails since its i686-linux-gnu

simplest change is just

-ifeq ($(findstring i486-linux-gnu,$(DEB_BUILD_GNU_TYPE)),i486-linux-gnu)
+ifeq ($(findstring i686-linux-gnu,$(DEB_BUILD_GNU_TYPE)),i686-linux-gnu)

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: bcc 0.16.17-3.1ubuntu1
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Uname: Linux 2.6.37-12-generic i686
NonfreeKernelModules: wl
Architecture: i386
Date: Sun Jan 23 16:56:51 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 LC_MESSAGES=en_GB.utf8
 SHELL=/bin/bash
SourcePackage: linux86

Related branches

Revision history for this message
Niall Creech (sevenmachines-deactivatedaccount) wrote :
tags: added: patch
Changed in linux86 (Ubuntu):
status: New → Confirmed
Revision history for this message
Niall Creech (sevenmachines-deactivatedaccount) wrote :

linux86 (0.16.17-3.1ubuntu2) natty; urgency=low

  * debian/rules:
      - Replace i486-linux-gnu search with i686-linux-gnu so that elksemu will
      be installed.

Revision history for this message
Niall Creech (sevenmachines-deactivatedaccount) wrote :
Revision history for this message
Niall Creech (sevenmachines-deactivatedaccount) wrote :

Properly close bug version

linux86 (0.16.17-3.1ubuntu2) natty; urgency=low

  * debian/rules:
      - Replace i486-linux-gnu search with i686-linux-gnu so that elksemu will
      be installed. (LP: #706635)

Revision history for this message
Bryce Harrington (bryce) wrote :

Looks good, upload sponsored to natty.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux86 - 0.16.17-3.1ubuntu2

---------------
linux86 (0.16.17-3.1ubuntu2) natty; urgency=low

  * debian/rules:
      - Replace i486-linux-gnu search with i686-linux-gnu so that elksemu will
      be installed. (LP: #706635)
 -- SevenMachines <email address hidden> Fri, 28 Jan 2011 08:22:31 +0000

Changed in linux86 (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers